import { Notification } from '@ironsource/fusion-ui/components/notification/common/entities';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NotificationService {
    notification$: BehaviorSubject<Notification>;
    showNotification(notificationOptions: Notification): void;
    setPrimaryButtonLoadingState(state: boolean): void;
    hideNotification(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationService>;
}
